Extends ValueEditorOptions Default value:

    {
        type: 'checkbox',
        trueValue: undefined,
        falseValue: undefined,
        nullAsIndeterminate: false
    }

## Properties

- ### `type`

  String | Type of display: `'checkbox'` or `'switch'`.

- ### `trueValue`

  | Custom value if editor is `true`. If undefined, `true` is used.

- ### `falseValue`

  | Custom value if editor is `false`. If undefined, `false` is used.

- ### `nullAsIndeterminate`

  Boolean | If true, `null` model value is displayed as indeterminate state.